Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.util.cache.mbeans
Class JmxBaseCache

    java.lang.Object
      com.sun.appserv.util.cache.mbeans.JmxBaseCache

All Implemented Interfaces:
  JmxBaseCacheMBean

Direct Known Subclasses:
  JmxLruCache, JmxMultiLruCache

    public class JmxBaseCache

extends Object
implements JmxBaseCacheMBean

This class provides implementation for JmxBaseCacheMBean

Author:
  Krishnamohan Meduri (Krishna.Meduri@Sun.com)

Constructor Summary
`JmxBaseCache(BaseCache baseCache, String name)`

Method Summary
`Integer` | `getAddCount()` Returns the number of times new entries have been added
`Integer` | `getEntryCount()` Returns current number of Entries
`Integer` | `getHitCount()` Return the number of cache hits
`Integer` | `getMaxEntries()` Returns maximum possible number of entries
`Integer` | `getMissCount()` Returns the number of cache misses
`String` | `getName()` Returns a unique identifier for this MBean inside the domain
`Integer` | `getOverflowCount()` Returns the number of times that an overflow has occurred
`Integer` | `getRefreshCount()` Returns the number of values that have been refreshed (replaced with a new value in an existing extry)
`Integer` | `getRemovalCount()` Returns the number of entries that have been removed
`Integer` | `getTableSize()` Returns current number of buckets
`Integer` | `getThreshold()` Returns threshold.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxBaseCache

    public JmxBaseCache(BaseCache baseCache,
                        String name)

Method Detail

### getName

    public String getName()

  Returns a unique identifier for this MBean inside the domain

  Specified by:
    `getName` in interface `JmxBaseCacheMBean`

### getMaxEntries

    public Integer getMaxEntries()

  Returns maximum possible number of entries

  Specified by:
    `getMaxEntries` in interface `JmxBaseCacheMBean`

### getThreshold

    public Integer getThreshold()

  Returns threshold. This when reached, an overflow will occur

  Specified by:
    `getThreshold` in interface `JmxBaseCacheMBean`

### getTableSize

    public Integer getTableSize()

  Returns current number of buckets

  Specified by:
    `getTableSize` in interface `JmxBaseCacheMBean`

### getEntryCount

    public Integer getEntryCount()

  Returns current number of Entries

  Specified by:
    `getEntryCount` in interface `JmxBaseCacheMBean`

### getHitCount

    public Integer getHitCount()

  Return the number of cache hits

  Specified by:
    `getHitCount` in interface `JmxBaseCacheMBean`

### getMissCount

    public Integer getMissCount()

  Returns the number of cache misses

  Specified by:
    `getMissCount` in interface `JmxBaseCacheMBean`

### getRemovalCount

    public Integer getRemovalCount()

  Returns the number of entries that have been removed

  Specified by:
    `getRemovalCount` in interface `JmxBaseCacheMBean`

### getRefreshCount

    public Integer getRefreshCount()

  Returns the number of values that have been refreshed (replaced with a new value in an existing extry)

  Specified by:
    `getRefreshCount` in interface `JmxBaseCacheMBean`

### getOverflowCount

    public Integer getOverflowCount()

  Returns the number of times that an overflow has occurred

  Specified by:
    `getOverflowCount` in interface `JmxBaseCacheMBean`

### getAddCount

    public Integer getAddCount()

  Returns the number of times new entries have been added

  Specified by:
    `getAddCount` in interface `JmxBaseCacheMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.